Skip to main content
GET
/
transcript
/
{transcriptId}
/
access-link
transcript/:id/access-link
curl --request GET \
  --url https://api.daily.co/v1/transcript/{transcriptId}/access-link \
  --header 'Authorization: Bearer <token>'
{
  "transcriptId": "0cb313e1-211f-4be0-833d-8c7305b19902",
  "download_link": "https://daily-meeting-transcripts.s3.us-west-2.amazonaws.com/api-demo/hello/1548790973821?AWSAccessKeyId=AKIAJVYA3B2F4672K3RQ&Expires=1548809176&Signature=xfSPW1kXksNriqmlm%2FT9hb%2Fq%2Bas%3D&response-content-disposition=attachment%3B%20filename%3D%22api-demo%2Fhello%2F1548790973821.webm%22",
  "outParams": {
    "key": "my-transcript.vtt",
    "bucket": "my-transcript-bucket",
    "region": "us-west-2"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transcriptId
string
required

Response

200

transcriptId
string

A unique, opaque ID for this object. You can use this ID in API calls, and in paginated list operations.

Example:

"0cb313e1-211f-4be0-833d-8c7305b19902"

Example:

"https://daily-meeting-transcripts.s3.us-west-2.amazonaws.com/api-demo/hello/1548790973821?AWSAccessKeyId=AKIAJVYA3B2F4672K3RQ&Expires=1548809176&Signature=xfSPW1kXksNriqmlm%2FT9hb%2Fq%2Bas%3D&response-content-disposition=attachment%3B%20filename%3D%22api-demo%2Fhello%2F1548790973821.webm%22"

outParams
object

Object representing the storage location for the transcript if transcription_bucket is defined.